<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers">
	<f:section name="Default">

		<div class="rss-app owl-carousel owl-theme">
			<f:for each="{feed.items}" as="item" iteration="itemIteration">
				<f:if condition="{settings.limit} > 0">
					<f:then>
						<f:if condition="{itemIteration.cycle} < {settings.limit}">
							<f:render partial="RssApp/OwlCarousel" section="Item" arguments="{_all}" />
						</f:if>
					</f:then>
					<f:else>
						<f:render partial="RssApp/OwlCarousel" section="Item" arguments="{_all}" />
					</f:else>
				</f:if>
			</f:for>
		</div>

	</f:section>
	<f:section name="Item">

		<div id="rss-app-{itemIteration.cycle}" class="item">
			<figure>
				<a href="{item.link}" target="_blank" title="{item.caption.text}">
					<f:if condition="{item.media.url}">
						<f:then>
							<img src="{item.media.url}" alt="{item.title}" class="img-fluid" title="{item.title}">
						</f:then>
						<f:else>
							<f:format.raw value="{item.description}"/>
						</f:else>
					</f:if>
				</a>
			</figure>
		</div>

	</f:section>
</div>
